stages:
  - dev
  - prod

dev-deploy:
  stage: dev
  script:
    - echo "Running tests..."
    - echo "Merge Request IID:" $CI_MERGE_REQUEST_IID
    - echo "Merge Request source branch name:" $CI_MERGE_REQUEST_SOURCE_BRANCH_NAME
    - echo "MR-$CI_MERGE_REQUEST_IID-$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME"
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event" && $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == "development"

pages:
  stage: prod
  script:
    - mkdir .public
    - cp -r * .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - main
